var avatars = {
	pictures : new Array(),
	avapos : null,
	clicked : 0,
	init : function () {
		this.avapos = new Array();
		var direction = new Array(1,2,3,4,5,6,7,8);
		var count = 0;
		var len = direction.length;
		for (i = 0; i < len; i++) {
			this.avapos[direction[i]] = new Array();
			this.avapos[direction[i]][0] = count; //std
			count += 64;
			this.avapos[direction[i]][1] = count; //wlk
			count += 64;
		}
		for (i = 1; i <= 4; i++) { // zitten
			this.avapos[(i*2)][2] = count;
			count += 64;
		}
		
		debug.yellow("Avatar sprite positions calculated");
	},
	url : function (figure, data) {
		return "avatar.php?figure="+figure+data;
	},
	add : function (id, name, mission, clothes, badge, tile, hoek, drink, brb, sit, friend, rights) {
		if (!$("ava_"+id)) {
			var tile1 = (tile.split(/_/)[0])*1;
			var tile2 = (tile.split(/_/)[1])*1;
			if (room.data.mode == "s") {
				var ava_x = room.tiles.posx[tile]-2;
				var ava_y = room.tiles.posy[tile]-65;
			}
			if (room.data.mode == "b") {
				var ava_x = room.tiles.posx[tile]+4;
				var ava_y = room.tiles.posy[tile]-85;
			}
			var newava = document.createElement("div");
			newava.id = "ava_"+id;
			newava.name = name;
			newava.mission = mission;
			newava.tile = [tile1, tile2];
			newava.clothes = clothes;
			newava.badge = badge;
			newava.drink = drink;
			newava.brb = brb;
			newava.sit = sit;
			newava.hoek = hoek;
			newava.friend = friend;
			newava.rights = rights;
			newava.moving = false;
			newava.ani = false;
			newava.step = 1;
			newava.next = new Array();
			newava.end = false;
			newava.furni = "avatar"; // for heightmaps
			addEvent(newava, 'click', function() { avatars.click(id); });
			addEvent(newava, 'mouseover', function() { avatars.tagin(id); });
			addEvent(newava, 'mouseout', function() { avatars.tagout(id); });
			newava.style.position = "absolute";
			newava.style.left = ava_x;
			newava.style.top = ava_y;
			newava.style.width = "64px";
			newava.style.height = "110px";
			newava.style.zIndex = 2; // VOORLOPIG, ZAL NIET WERKEN MET STAPELEN! (om boven deurtjes te komen)
			newava.className = "item_trans2";
			newava.style.backgroundImage = "url('images/ghost.gif')";
			
			if (sit == "") {
				newava.style.zIndex = 2; // VOORLOPIG, ZAL NIET WERKEN MET STAPELEN! (om boven deurtjes te komen)
				$("tile"+tile).appendChild(newava);
			}
			else {
				newava.style.zIndex = tile1+tile2;
				$("tile"+sit.split("|")[1]).appendChild(newava);
			}
			
			if (drink == "camera") {
				this.loadpicture("avatar3.php?figure="+clothes+"&brb="+brb, id);
			}
			else {
				this.loadpicture("avatar2.php?figure="+clothes+"&brb="+brb, id);
			}
				
			var image = document.createElement("img");
			image.src = "images/nametag.php?t="+ucfirst($("ava_"+id).name);
			image.id = "tag_"+id;
			image.user = id;
			image.style.position = "absolute";
			image.style.display = "none";
			$("nametags").appendChild(image);
			set_top("tag_"+id);
			
			furni.heightmaps();
			
			if (sit == "") {
				this.set(id, newava.hoek, 0);
			}
			else {
				this.set(id, newava.hoek, 2);
			}
			ShowContent("ava_"+id);
		}
	},
	loadpicture : function (url, id) {
		if (!avatars.pictures[url]) {
			avatars.pictures[url] = document.createElement("img");
			avatars.pictures[url].src = url;
			avatars.pictures[url].loaded = false;
			avatars.pictureloaded(url, id);
		}
		else {
			if (avatars.pictures[url].loaded) {
				$("ava_"+id).style.backgroundImage = "url('"+url+"')";
				if ($("ava_"+id).brb == 0) {
					$("ava_"+id).className = "item_solid";
				}
				else {
					$("ava_"+id).className = "item_trans2";
				}
			}
			else {
				avatars.pictureloaded(url, id);
			}
		}	
	},
	pictureloaded : function (url, id) {
		if (avatars.pictures[url].complete) {
			avatars.pictures[url].loaded = true;
			$("ava_"+id).style.backgroundImage = "url('"+url+"')";
			if ($("ava_"+id).brb == 0) {
				$("ava_"+id).className = "item_solid";
			}
			else {
				$("ava_"+id).className = "item_trans2";
			}
		}
		else {
			setTimeout(function(){avatars.pictureloaded(url, id);},10);
		}
	},
	givedrink : function (id, drink) {
		var avatar = $("ava_"+id);
		if (avatar) {
			avatar.drink = drink;
			if (drink == "camera") {
				this.loadpicture("avatar3.php?figure="+avatar.clothes+"&brb="+avatar.brb, id);
			}
			else {
				this.loadpicture("avatar2.php?figure="+avatar.clothes+"&brb="+avatar.brb, id);
			}
		}
	},
	updatebrb : function (id, brb) {
		var avatar = $("ava_"+id);
		if (avatar) {
			avatar.brb = brb;
			if (avatar.drink == "camera") {
				this.loadpicture("avatar3.php?figure="+avatar.clothes+"&brb="+avatar.brb, id);
			}
			else {
				this.loadpicture("avatar2.php?figure="+avatar.clothes+"&brb="+avatar.brb, id);
			}
			if (avatar.brb == 0) {
				$("ava_"+id).className = "item_solid";
			}
			else {
				$("ava_"+id).className = "item_trans2";
			}
		}
	},
	del : function (id) {
		var avatar = $("ava_"+id);
		if (avatar) {
			avatar.parentNode.removeChild(avatar);
			furni.heightmaps();
		}
		if (this.clicked == id) {
			furni.click("");
		}
	},
	click : function(id) {
		var data = $("ava_"+id);
		if (data) {
			this.clicked = id;
			ShowContent("infoshade");
			$('infotext').innerHTML = ucfirst(data.name);
			$('infodesc').innerHTML = data.mission;
			$('infopop').style.backgroundImage = "url('avatar2.php?figure="+data.clothes+"&brb=0')";
			if (data.badge != 0) {
				$('infobadge').src = "images/badges/"+data.badge+".gif";
			}
			else {
				$('infobadge').src = "images/blank.gif";
			}
			$('infoicon').src = "images/blank.gif";
			$('buttons').innerHTML = "";
			if (id > 0) {
				// normale avatar
				if (id != user.id) {
					if (id != room.data.owner) {
						// rechten
						if (data.rights) {
							$('buttons').innerHTML += '<div onclick="avatars.takerights('+id+')" onmousedown="room.button_down(this, \'rights2\')" onmouseup="room.button_up(this, \'rights2\')" style="width: 118px; background-image:url(\'images/rooms/rights2.gif\'); height: 17px; z-index:3; background-position: 0px -0px; background-repeat:no-repeat; float: right;"></div>';
						}
						else {
							$('buttons').innerHTML += '<div onclick="avatars.giverights('+id+')" onmousedown="room.button_down(this, \'rights1\')" onmouseup="room.button_up(this, \'rights1\')" style="width: 89px; background-image:url(\'images/rooms/rights1.gif\'); height: 17px; z-index:3; background-position: 0px -0px; background-repeat:no-repeat; float: right;"></div>';
						}
						
					}
					// vriend gedoe
				}
				else {
					// dansen, zwaaien
				}
			}
			else if (id < 0) { 
				// een bot
				if (in_array("kick_bot", user.rights)) {
					$('buttons').innerHTML += '<div onclick="avatars.kickbot('+id+')" onmousedown="room.button_down(this, \'kick\')" onmouseup="room.button_up(this, \'kick\')" style="width: 49px; background-image:url(\'images/rooms/kick.gif\'); height: 17px; z-index:3; background-position: 0px -0px; background-repeat:no-repeat; float: right;"></div>';
				}
			}
		}

	},
	tagin : function(id) {
		if($("ava_"+id)) {
			if ($("tag_"+id)) {
				if (!$("ava_"+id).moving && furni.obj == null) {
					
					var middle_x = parseInt($("ava_"+id).style.left);
					middle_x += ($("ava_"+id).clientWidth)/2;
					middle_x -= ($("tag_"+id).width)/2;
					
					$("tag_"+id).style.left = middle_x;
					$("tag_"+id).style.top = parseInt($("ava_"+id).style.top)-15;
					
					set_trans("tag_"+id, 0);
					ShowContent("tag_"+id);
					Effect.Fade("tag_"+id, { duration: 0.2, from: 0, to: 1 });
				}
			}
		}
		else {
			debug.error("Avatar "+id+" not loaded");
		}
	},
	tagout : function(id) {
		if($("ava_"+id)) {
			if ($("tag_"+id)) {
				Effect.Fade("tag_"+id, { duration: 0.2, from: 1, to: 0 });
			}
		}
		else {
			debug.error("Avatar "+id+" not loaded");
		}
	},
	set : function (id, hoek, action) {
		if ($("ava_"+id)) {
			$("ava_"+id).style.backgroundPosition = "-"+this.avapos[hoek][action]+"px 0px";
		}
		
	},
	move : function (id, x, y, hoek) {
		if($("ava_"+id)) {
			HideContent("tag_"+id);
			if ($("ava_"+id).moving) {
				$("ava_"+id).next.push([x, y, hoek]);
			}
			else {
				var data = $("ava_"+id);
				
				var tile = x+"_"+y;
				if (room.data.mode == "s") {
					var ava_x = room.tiles.posx[tile]-2;
					var ava_y = room.tiles.posy[tile]-65;
				}
				if (room.data.mode == "b") {
					var ava_x = room.tiles.posx[tile]+4;
					var ava_y = room.tiles.posy[tile]-85;
				}
				$("ava_"+id).moving = true;
				
				$("ava_"+id).tile = [x, y];
				$("ava_"+id).hoek = hoek;
				$("tile"+tile).appendChild($("ava_"+id));
				
				if (!data.ani) {
					$("ava_"+id).ani = true;
					$("ava_"+id).step = 1;
					this.animate(id);
				}
				
				var movecallback = avatars.moved(id);
				movelayer('ava_'+id, ava_x, ava_y, 25, 20, 1, movecallback);
				
				//set_grid(); -> not only grid, but also heightmap for furni, right?
			}
		}
		else {
			debug.error("Avatar "+id+" not loaded");
		}
	},
	stopmove : function (id) {
		if($("ava_"+id)) {
			if ($("ava_"+id).moving) {
				$("ava_"+id).end = true;
				$("ava_"+id).sit = "";
			}
			else {
				$("ava_"+id).ani = false;
				$("ava_"+id).end = false;
				$("ava_"+id).sit = "";
				avatars.set(id, $("ava_"+id).hoek, 0);
			}
			furni.heightmaps();
		}
	},
	stopmovesit : function (id, sit) {
		if($("ava_"+id)) {
			if ($("ava_"+id).moving) {
				$("ava_"+id).end = true;
				$("ava_"+id).sit = sit;
			}
			else {
				$("ava_"+id).ani = false;
				$("ava_"+id).end = false;
				$("ava_"+id).sit = sit;
				$("ava_"+id).hoek = parseInt($("ava_"+id).sit.split("|")[0]);
				avatars.set(id, $("ava_"+id).hoek, 2);
				$("ava_"+id).style.zIndex = $("ava_"+id).tile[0]+$("ava_"+id).tile[1];
				$("tile"+$("ava_"+id).sit.split("|")[1]).appendChild($("ava_"+id));
			}
			furni.heightmaps();
		}
	},
	moved : function (id) {
		output = {
			complete : function () {
				if($("ava_"+id)) {
					$("ava_"+id).moving = false;
					if ($("ava_"+id).next.length > 0) {
						var nextmove = $("ava_"+id).next.shift();
						avatars.move(id, nextmove[0], nextmove[1], nextmove[2]);
					}
					else {
						if ($("ava_"+id).end) {
							$("ava_"+id).ani = false;
							$("ava_"+id).end = false;
							if ($("ava_"+id).sit == "") {
								$("ava_"+id).style.zIndex = 2;
								avatars.set(id, $("ava_"+id).hoek, 0);
							}
							else {
								$("ava_"+id).hoek = parseInt($("ava_"+id).sit.split("|")[0]);
								avatars.set(id, $("ava_"+id).hoek, 2);
								$("ava_"+id).style.zIndex = $("ava_"+id).tile[0]+$("ava_"+id).tile[1];
								$("tile"+$("ava_"+id).sit.split("|")[1]).appendChild($("ava_"+id));
							}
						}
					}
					furni.heightmaps();
				}
			}
		};
		return output;
	},
	animate : function (id) {
		if($("ava_"+id)) {
			if ($("ava_"+id).ani) {
				this.set(id, $("ava_"+id).hoek, $("ava_"+id).step);
				if ($("ava_"+id).step == 1) {
					$("ava_"+id).step = 0;
				}
				else {
					$("ava_"+id).step = 1;
				}
				var animateavatars = setTimeout(function(){avatars.animate(id);}, 150);
			}
		}
	},
	kickbot : function (id) {
		if($("ava_"+id)) {
			var bot_id = id - id*2;
			packets.send.botkick(bot_id);
			furni.click("");
		}
	},
	giverights : function (id) {
		if($("ava_"+id)) {
			packets.send.giverights(id);
			furni.click("");
		}
	},
	takerights : function (id) {
		if($("ava_"+id)) {
			packets.send.takerights(id);
			furni.click("");
		}
	},
	updaterights : function (id, rights) {
		if($("ava_"+id)) {
			$("ava_"+id).rights = rights;
			if (id == user.id) {
				// jouw rechten!
				room.data.rights = rights;
			}
		}
	},
	updatesit : function (id, sit) {
		if($("ava_"+id)) {
			$("ava_"+id).sit = sit;
			if (sit == "") {
				avatars.set(id, $("ava_"+id).hoek, 0);
				var tile = $("ava_"+id).tile;
				$("ava_"+id).style.zIndex = 2;
				$("tile"+tile[0]+"_"+tile[1]).appendChild($("ava_"+id));
			}
			else {
				$("ava_"+id).hoek = parseInt($("ava_"+id).sit.split("|")[0]);
				avatars.set(id, $("ava_"+id).hoek, 2);
				$("ava_"+id).style.zIndex = $("ava_"+id).tile[0]+$("ava_"+id).tile[1];
				$("tile"+$("ava_"+id).sit.split("|")[1]).appendChild($("ava_"+id));
			}
		}
	}
};