﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace JabboServerCMD.Core
{
    public static class Config
    {
        public static bool linux;

        public static bool debug;

        public static int port;
        public static int maxconn;
        public static int maxconnbacklog;

        public static string publickey;

        public static string dbHost;
        public static int dbPort;
        public static string dbName;
        public static string dbUsername;
        public static string dbPassword;

        public static string RandomString(int size, bool lowerCase)
        {
            StringBuilder builder = new StringBuilder();
            Random random = new Random();
            char ch;
            for (int i = 0; i < size; i++)
            {
                ch = Convert.ToChar(Convert.ToInt32(Math.Floor(26 * random.NextDouble() + 65)));
                builder.Append(ch);
            }
            if (lowerCase)
                return builder.ToString().ToLower();
            return builder.ToString();
        }

        public static class Debug
        {
            public static void WriteLine(string text)
            {
                if(Config.debug)
                {
                    Console.WriteLine(text);
                }
            }
        }
    }
}
